#
# spec file for package python-sphinxcontrib-httpdomain
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_with     test
Name:           python-sphinxcontrib-httpdomain
Version:        1.5.0
Release:        lp150.1.3
Summary:        Sphinx domain for HTTP APIs
License:        BSD-2-Clause
Group:          Development/Languages/Python
Url:            http://bitbucket.org/birkenfeld/sphinx-contrib
Source:         https://files.pythonhosted.org/packages/source/s/sphinxcontrib-httpdomain/sphinxcontrib-httpdomain-%{version}.tar.gz
# PATCH-FIX-UPSTREAM newer-sphinx.patch -- https://bitbucket.org/birkenfeld/sphinx-contrib/pull-requests/152/fix-182-by-moving-around-initialization/diff
Patch1:         newer-sphinx.patch
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module sphinxcontrib}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
%if %{with test}
BuildRequires:  %{python_module Sphinx}
BuildRequires:  %{python_module six}
%endif
Requires:       python-Sphinx
Requires:       python-six
Requires:       python-sphinxcontrib
BuildArch:      noarch

%python_subpackages

%description
This contrib extension, sphinxcontrib.httpdomain provides a Sphinx
domain for describing RESTful HTTP APIs.

You can find the documentation from the following URL:

http://packages.python.org/sphinxcontrib-httpdomain/

%prep
%setup -q -n sphinxcontrib-httpdomain-%{version}
%patch1 -p1

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%defattr(-,root,root,-)
%doc LICENSE README.rst
%{python_sitelib}/sphinxcontrib/autohttp/
%{python_sitelib}/sphinxcontrib/httpdomain.py*
%pycache_only %{python_sitelib}/sphinxcontrib/__pycache__/httpdomain*.py*
%{python_sitelib}/sphinxcontrib_httpdomain-%{version}-py*-nspkg.pth
%{python_sitelib}/sphinxcontrib_httpdomain-%{version}-py*.egg-info

%changelog
* Mon Sep 18 2017 toddrme2178@gmail.com
- Use new python-sphinxcontrib package to provide namespace
  directory.
* Mon Sep 18 2017 toddrme2178@gmail.com
- Specify files to guarantee namespace package doesn't conflict
  with python(2|3)-Sphinx
* Wed Jul  5 2017 tbechtold@suse.com
- add newer-sphinx.patch. Needed to make httpdomain working with
  Sphinx >= 1.6 .
* Wed Jul  5 2017 tbechtold@suse.com
- convert to singlespec
* Mon Nov 14 2016 dmueller@suse.com
- update to 1.5.0
* Wed Jul 27 2016 buschmann23@opensuse.org
- update to version 1.4.0
  * Added 429 Too Many Requests as a valid http:statuscode.
    [pull request #81 by DDBReloaded]
  * Became to not resolve references if they can’t be resolved.
    [pull request #87 by Ken Robbins]
  * Became to preserve endpoint ordering when :endpoints: option is
    given. [pull request #88 by Dan Callaghan]
  * Added status codes for WebDAV. [pull request #92 by Ewen
    Cheslack-Postava]
  * Added CORS headers. [pull request #96 by Tomi Pieviläinen]
  * Now sphinxcontrib.autohttp.flask supports multiple paths for
    endpoints using same HTTP method. [pull request #97 by Christian
    Felder]
* Tue Sep 16 2014 tbechtold@suse.com
- update to version 1.3.0:
  * jsonparameter/jsonparam/json became deprecated and split into
    reqjsonobj/reqjson/<jsonobj/<json and reqjsonarr/<jsonarr.
    [issue #55, pull request #72 by Alexander Shorin]
  * Support synopsis (short description in HTTP index), deprecation
    and noindex options for resources.
    [issue #55, pull request #72 by Alexander Shorin]
  * Stabilize order of index items.
    [issue #55, pull request #72 by Alexander Shorin]
  * Added :rst:directive:`http:any` directive and
    http:any role for ANY method.
    [issue #55, pull request #72 by Alexander Shorin]
  * Added :rst:directive:`http:copy` directive and http:copy role
    for COPY method.
    [issue #55, pull request #72 by Alexander Shorin]
  * Added http:header role that also creates reference to the
    related specification.
    [issue #55, pull request #72 by Alexander Shorin]
  * http:statuscode role became to provide references to
    specification sections.
    [issue #55, pull request #72 by Alexander Shorin]
  * Fixed Python 3 incompatibility of autohttp.tornado.
    [pull request #61 by Dave Shawley]
* Tue Jun 24 2014 dmueller@suse.com
- update to 1.2.1:
  * Six support
* Mon Oct 21 2013 dmueller@suse.com
- update to 1.2.0:
  * Add tornado support
* Thu Aug  8 2013 dmueller@suse.com
- update to 1.1.9:
  * Add sphinx.ext.autodoc-style HTTP API reference builder (from Bottle)
* Mon May 13 2013 dmueller@suse.com
- update to 1.1.8:
  * Added better support for docstrings in flask.views.MethodView
  * Added jsonparameter along side form and query parameters.
  * Fixed issue with undefined Value and umethod variables.
  * Now http Pygments lexer can Handle continuous header lines well.
  * Added undoc-blueprints flag option to autoflask directive.
  * Fixed issue #29, a bug that autoflask directive raised
  UnicodeDecodeError when it contains non-ASCII characters.
  * Added endpoints flag option to autoflask directive.
* Thu Nov 15 2012 saschpe@suse.de
- Initial version
